PGPS(1)

NAME
pgps - Signs messages

SYNOPSIS
pgps [-u <userid>] [-abftv] [-z|-zs] [-o <outfile>] file ...

DESCRIPTION
pgps signs files using public key cryptography.

OPTIONS
All configuration options can be controlled from the command line. See pgp.cfg(5) for a complete list and how to specify them.

-a, --armor
    Turn on "ASCII Armoring." This outputs a text-only version of your encrypted text. This makes the result safe for mailing, but about 30% larger. Unlike previous versions of PGP, this also implicitly turns on clearsigning (wrapping the signature around your message, leaving your message in a readable form).

-b  Detached signature. Creates a detached signature file (by default, file.sig) instead of combining the signature with the message in the same file.

-f  Stream mode. Accepts input on stdin and places output on stdout. If no files are specified as arguments, pgp executes in this mode by default.

-o outfile
    Specifies that output should go to outfile. If not specified, output goes to the default filename. The default filename for each input file is the input filename with ".pgp" appended, unless ASCII Armoring is turned on, in which case it is ".asc". If -b (detached signature) is specified, the output name for the signature is the input file with ".sig" appended. It is an error to specify multiple input files with this option.

-t  Turns on text mode. This causes PGP to convert your input message to a platform-independent form. It is primarily for use when moving files from one operating system to another.

-u  Sets the ID of the key used for signing. This may be a user ID (like foo@bar.baz.com) or a Key ID (like 0x12345678). If not specified, your default signing key is used. See also the MyName directive in pgp.cfg(5).

-z  Batch mode. See pgp-integration(7) for a discussion of integrating pgp support into your application.

EXAMPLE
pgps -u foo@bar.baz.com -bat document.txt
    Creates a detached, ASCII Armored signature for the the file Signs and encrypts the file document.txt with foo@bar.baz.com's key. The resultant file will be document.txt.sig.

FILES
~/.pgp/pgp.cfg
    User-specific configuration file. The file formerly known as config.txt. See pgp.cfg(5) for further details.

BUGS
    See pgp(1).

SEE ALSO
pgp(1), pgpv(1), pgpe(1), pgpk(1), pgp.cfg(5), pgp-integration(7), http://www.pgp.com (US versions) and http://www.pgpi.com (International versions)